> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a static virtual account for a referenced partner wallet



## OpenAPI

````yaml /openapi/partner.openapi.json post /partner/wallet/{reference}/static-account
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
  - name: Partner PayTag
  - name: Partner Wallet
paths:
  /partner/wallet/{reference}/static-account:
    post:
      tags:
        - Partner Wallet
      summary: Create a static virtual account for a referenced partner wallet
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
          description: Partner wallet reference
      responses:
        '200':
          description: Static virtual account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletStaticVirtualAccount'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    WalletStaticVirtualAccount:
      type: object
      properties:
        ID:
          type: integer
        Reference:
          type: string
        AccountNumber:
          type: string
        AccountName:
          type: string
        BankName:
          type: string
        Status:
          type: string
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.